Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 403319 - New ebuild: games-engines/flare a free Action RPG Engine
Summary: New ebuild: games-engines/flare a free Action RPG Engine
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal enhancement with 1 vote (vote)
Assignee: Default Assignee for New Packages
URL: http://flarerpg.org/
Whiteboard: [hasufell-overlay]
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-12 19:42 UTC by Myckel Habets
Modified: 2019-05-22 07:17 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
FLARE ebuild (flare-0.15.1.ebuild,732 bytes, text/plain)
2012-02-12 19:42 UTC, Myckel Habets
Details
Updated ebuild (file_403319.txt,500 bytes, text/plain)
2012-04-10 19:16 UTC, Daniel Scharrer
Details
Updated ebuild (flare-0.15.1.ebuild,1.14 KB, text/plain)
2012-04-10 19:17 UTC, Daniel Scharrer
Details
flare-0.16.ebuild (flare-0.16.ebuild,1.04 KB, text/plain)
2012-07-08 19:25 UTC, Daniel Scharrer
Details
flare-0.16.ebuild (file_403319.txt,28 bytes, text/plain)
2012-07-10 21:26 UTC, Daniel Scharrer
Details
flare-0.16.ebuild (flare-0.16.ebuild,1.08 KB, text/plain)
2012-07-10 21:28 UTC, Daniel Scharrer
Details
flare-0.16.ebuild (flare-0.16.ebuild,1.18 KB, text/plain)
2012-07-11 19:11 UTC, Julian Ospald
Details
flare-0.16-build.patch (flare-0.16-build.patch,1.24 KB, patch)
2012-07-11 19:11 UTC, Julian Ospald
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Myckel Habets 2012-02-12 19:42:05 UTC
Here is an ebuild for FLARE, Free/Libre Action RPG Engine Version 0.15.1.

Reproducible: Always
Comment 1 Myckel Habets 2012-02-12 19:42:28 UTC
Created attachment 301683 [details]
FLARE ebuild
Comment 2 Daniel Scharrer 2012-04-10 19:16:22 UTC
Created attachment 308439 [details]
Updated ebuild
Comment 3 Daniel Scharrer 2012-04-10 19:17:31 UTC
Created attachment 308441 [details]
Updated ebuild

Updated the ebuild:
- Install game binary into /usr/games/bin (was /usr/games)
- Generate the upstream version number from the gentoo version number
- Fixed license names
- Fixed dependencies
- Call prepgamesdirs to adjust ownership and permissions of the installed files
- Added more keywords as flare is not limited to x86/amd64 [1]

This ebuild is also available in the arx-libertatis overlay [2] for now.

[1] http://packages.debian.org/sid/flare
[2] https://github.com/arx/ArxGentoo
Comment 4 Daniel Scharrer 2012-07-08 19:25:41 UTC
Created attachment 317606 [details]
flare-0.16.ebuild

Updated ebuild for upstream release 0.16
Comment 5 Daniel Scharrer 2012-07-10 21:26:53 UTC
Created attachment 317860 [details]
flare-0.16.ebuild
Comment 6 Daniel Scharrer 2012-07-10 21:28:00 UTC
Created attachment 317864 [details]
flare-0.16.ebuild

Updated HOMEPAGE to new URL.
Comment 7 Julian Ospald 2012-07-11 18:15:34 UTC
this does not respect games variables like GAMES_BINDIR and GAMES_DATADIR, do not hardcode them and also specify -DDATADIR. On top of that they must NOT be relative paths, this probably needs a fix either for "-DDATA_INSTALL_DIR" too or for the other install rules so that we might unset CMAKE_INSTALL_PREFIX
Comment 8 Julian Ospald 2012-07-11 18:44:07 UTC
further issues:

- games.eclass should always inherited last, to ensure it's exports take precedence by default. Overwrite that stuff manually e.g. for cmake-utils_src_compile. This is required by the games herd afaik. Also mind that eclasses might change and exported phases might get added (imagine exported pkg_setup for cmake-utils.eclass which will overwrite games_pkg_setup then)
- app-arch/unzip missing from DEPEND
- no use of eutils.eclass, drop it
- I suggest to drop the libsdl alsa/oss/pulseaudio stuff, cause it is very likely used as global useflags and not directly needed for compile or runtime (even if audio may be missing then which may be on purpose)
- "video" and "audio" are missing from media-libs/libsdl useflags

QA Notice that should be reported upstream:
QA Notice: Package triggers severe warnings which indicate that it
 *            may exhibit random runtime failures.
 * /var/tmp/portage/games-engines/flare-0.16/work/flare_v016/src/GameStateConfig.cpp:549:22: warning: array subscript is above array bounds
Comment 9 Julian Ospald 2012-07-11 18:46:17 UTC
# desktop-file-validate /usr/share/applications/flare.desktop
/usr/share/applications/flare.desktop: error: (will be fatal in the future): value "flare.svg" for key "Icon" in group "Desktop Entry" is an icon name with an extension, but there should be no extension as described in the Icon Theme Specification if the value is not an absolute path
Comment 10 Julian Ospald 2012-07-11 19:11:36 UTC
Created attachment 317942 [details]
flare-0.16.ebuild
Comment 11 Julian Ospald 2012-07-11 19:11:51 UTC
Created attachment 317944 [details, diff]
flare-0.16-build.patch
Comment 12 Julian Ospald 2012-07-11 19:56:41 UTC
I am not sure if this is ready for the tree yet, until then I maintain it in my overlay. Post bump requests here.
Comment 13 hkBst 2018-11-03 11:52:53 UTC
There has been a 1.0(8) release: https://github.com/flareteam/flare-game/releases. Maybe it is finally ready for main tree?
Comment 14 hkBst 2019-05-22 07:17:27 UTC
1.10 was released...